# List suppliers

> Retrieve a paginated list of suppliers.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/suppliers`

Retrieves the collection of Supplier resources.

Returns a paginated collection of suppliers in the current organization. Set `Flowkiwi-Locale` to read the translatable `name` in a given locale.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name               | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| ------------------ | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`             | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage`     | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]`     | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`             | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |
| `name`             | `string`   | -        | Filter on the translated "name" field (case-insensitive partial match, uses the Flowkiwi-Locale header).                                                                                                                                                                             |
| `order[name]`      | `string`   | -        | Order by translated field "name" (uses the Flowkiwi-Locale header)                                                                                                                                                                                                                   |
| `order[createdAt]` | `string`   | -        | Supplier order[createdAt]                                                                                                                                                                                                                                                            |
| `order[updatedAt]` | `string`   | -        | Supplier order[updatedAt]                                                                                                                                                                                                                                                            |

## Response

**200** - Supplier collection

| Property     | Type         | Required | Description |
| ------------ | ------------ | -------- | ----------- |
| `search`     | `object`     | -        |             |
| `totalItems` | `integer`    | -        |             |
| `view`       | `object`     | -        |             |
| `member`     | `Supplier[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/suppliers' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Supplier",
  "@id": "/api/suppliers",
  "@type": "Collection",
  "member": [
    {
      "@context": "/api/contexts/Supplier",
      "@id": "/api/suppliers/019af8c5-6a7b-7c8d-9e0f-4d5e6f708192",
      "@type": "Supplier",
      "createdAt": "2026-01-15T09:30:00+00:00",
      "id": "019af8c5-6a7b-7c8d-9e0f-4d5e6f708192",
      "name": "Atlas Textiles",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    }
  ],
  "totalItems": 1
}
```
